#ifndef __SC_H__
#define __SC_H__
#include"pmc_types.h"
#include"Dictionary.h"

class CSC{
    private:
        Dictionary<char[MAX_NAME_LEN],MAX_SC_COUNT> stringConfig;
        Dictionary<PMCBOOL,MAX_SC_COUNT>boolConfig;
    public:
        const char * getStringValue(const char* name,const char * defaultValue=NULL);
        PMCBOOL getBoolValue(const char* name,PMCBOOL defaultValue=FALSE);
        void setStringValue(const char* name,const char* value);
        void setBoolValue(const char* name,PMCBOOL value);
        
};
extern CSC* SC;
#endif
